doesn't work Noté 1 sur 5 étoiles

dead website

Not work with Firefox 51.0.1 Noté 1 sur 5 étoiles

Still does not work, it appears only a white window ... extension unfortunately useless.

Noté 1 sur 5 étoiles

The idea and it's supposed to work is good, but... the forex page does not respond anymore.

Piece of $h*t does not work at all. It times out. It's junk. Don't bother. Noté 1 sur 5 étoiles

Piece of $h*t does not work at all. It times out. It's junk. Don't bother. If I could give it less than one star I would.

NOT WORKING Noté 1 sur 5 étoiles

Does NOT WORK.!
Instaed of coverted unit data => BLANK SQUARE bOX.!!!
Home Page: fxware.com : Not Connecting.
Either fix it, or, REMOVE IT from available working Addons.
From previous reviews, I can now see that the Addon is NOT working since more than a year!!!
I can't say if it's compatibility issue, because I still use an older version of FF, though mozilla's addon page says it's compatible with version 30. (It's not grayed as IN-compatible).

Doesn'twork Noté 1 sur 5 étoiles

EN: The connection is broken.
The document contains no data.

HR: Veza je prekinuta.
Dokument ne sadrži podatke.

Noté 1 sur 5 étoiles

write "Соединение было сброшено" / "The connection was reset"

Not work // FF 41.0.2-42.0 ¯\_(ツ)_/¯ Noté 1 sur 5 étoiles

write "Соединение было сброшено" / "The connection was reset"

Great tool Noté 5 sur 5 étoiles

It was the best converter ever. Simple by just clicking on the prices on the websites instead of typing the price yourself. Too bad it´s dead. I hope someone can create a converter like this one.

handy, but gone? Noté 5 sur 5 étoiles

was a very handy tool, but it seems te be out of order. website is also gone. sad

Noté 4 sur 5 étoiles

Not working anymore with firefox 32 RC.
Please update it, the addon was very useful...Thank you.

Noté 4 sur 5 étoiles

Works effortlessly .. cheers

Noté 5 sur 5 étoiles

Finally. thank you so much for update it.

Cette critique concerne une version précédente du module (1.6.1-signed.1-signed). 

Not supported in Firefox 15 Noté 3 sur 5 étoiles

Please update to Firefox 15 and up.

Cette critique concerne une version précédente du module (1.5.1-signed.1-signed). 

Noté 5 sur 5 étoiles

The most effective. Please update to Firefox 15.

Cette critique concerne une version précédente du module (1.5.1-signed.1-signed). 

Update to more recent versions of Mozilla Firefox // Actualice a las versiones más recientes de Mozilla Firefox Noté 4 sur 5 étoiles

Whet it will be available for Firefox 4 and up?

¿Cuándo estará disponible para Firefox 4 en adelante?

Cette critique concerne une version précédente du module (1.5.1-signed.1-signed). 

Works fine on Firefox 5.0.1 Noté 5 sur 5 étoiles

First you must download Add-on compatibility reporter, it is an add-on that lets you bring back add-ons that Firefox
have disabled so you can try them if they work, you can choose which ones you want to use and if they don't work you can disable them, Forex Currency Converter works fine and all conversions are up to date.

Cette critique concerne une version précédente du module (1.5.1-signed.1-signed). 

Noté 5 sur 5 étoiles

PLEASE update this addon so it works with Firefox 5, it's one of the most useful addons and I use it on a daily basis. :(

Cette critique concerne une version précédente du module (1.5.1-signed.1-signed). 

Firefox 5.0.1 Operation Noté 5 sur 5 étoiles

Please how I can get it to work in Firefox 5.0.1 I have read that you can get it to work.
Thanks and forgive my English, if someone can hang the modified installer is appreciated.

Cette critique concerne une version précédente du module (1.5.1-signed.1-signed). 

Noté 1 sur 5 étoiles

Hi guys, I am running this successfully in FF4 by editing the maxversion in the install.rdf file. But it's a shame the developers won't do it. Geez it takes less than a minute!!!

Cette critique concerne une version précédente du module (1.5.1-signed.1-signed).